test_log.py: Swap for io.StringIO
ClosedPublic

Authored by demon on Apr 28 2018, 10:20 PM.

Details

Reviewers
mmodell
thcipriani
Group Reviewers
Release-Engineering-Team
Commits
rMSCAfcfd07a339e9: test_log.py: Swap for io.StringIO
Patch without arc
git checkout -b D1033 && curl -L https://phabricator.wikimedia.org/D1033?download=true | git apply
Summary

Works in both Py3 and Py2 sucessfully. There's a few other StringIO uses in the tests, but they don't swap as cleanly

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
demon created this revision.Apr 28 2018, 10:20 PM
Restricted Application added a reviewer: mmodell. · View Herald TranscriptApr 28 2018, 10:20 PM
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald Transcript
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript

Build has FAILED

Test Name
tox -vBuild Details

tox -v log

Got exit code 1 from PY_COLORS=1 tox -v

highlighting module code... [ 95%] scap.utils
highlighting module code... [100%] time

writing additional pages... search
copying images... [100%] assets/images/deploy-log.gif

copying static files... done
copying extra files... done
dumping search index in English (code: en) ... done
dumping object inventory... done
build succeeded.

The HTML pages are in docs/_build/html.
___________________________________ summary ____________________________________
ERROR:   py27: commands failed
  py34: ignored failed command
SKIPPED:  py35: InterpreterNotFound: python3.5
SKIPPED:  py36: InterpreterNotFound: python3.6
  flake8: commands succeeded
  doc: commands succeeded

Link to build: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1064/
See console output for more information: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1064/console

demon updated this revision to Diff 2716.Apr 28 2018, 10:38 PM
  • Got test_ssh.py working too
  • Fix remainder of tests, mostly

Build has FAILED

Test Name
tox -vBuild Details

tox -v log

Got exit code 1 from PY_COLORS=1 tox -v

highlighting module code... [ 95%] scap.utils
highlighting module code... [100%] time

writing additional pages... search
copying images... [100%] assets/images/deploy-log.gif

copying static files... done
copying extra files... done
dumping search index in English (code: en) ... done
dumping object inventory... done
build succeeded.

The HTML pages are in docs/_build/html.
___________________________________ summary ____________________________________
ERROR:   py27: commands failed
  py34: ignored failed command
SKIPPED:  py35: InterpreterNotFound: python3.5
SKIPPED:  py36: InterpreterNotFound: python3.6
  flake8: commands succeeded
  doc: commands succeeded

Link to build: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1065/
See console output for more information: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1065/console

demon updated this revision to Diff 2717.Apr 28 2018, 10:46 PM
  • Fixing StringIO usage?

Build has FAILED

Test Name
tox -vBuild Details

tox -v log

Got exit code 1 from PY_COLORS=1 tox -v

highlighting module code... [ 95%] scap.utils
highlighting module code... [100%] time

writing additional pages... search
copying images... [100%] assets/images/deploy-log.gif

copying static files... done
copying extra files... done
dumping search index in English (code: en) ... done
dumping object inventory... done
build succeeded.

The HTML pages are in docs/_build/html.
___________________________________ summary ____________________________________
ERROR:   py27: commands failed
  py34: ignored failed command
SKIPPED:  py35: InterpreterNotFound: python3.5
SKIPPED:  py36: InterpreterNotFound: python3.6
  flake8: commands succeeded
  doc: commands succeeded

Link to build: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1066/
See console output for more information: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1066/console

demon updated this revision to Diff 2718.Apr 28 2018, 10:49 PM
  • Try again

Build has FAILED

Test Name
tox -vBuild Details

tox -v log

Got exit code 1 from PY_COLORS=1 tox -v

highlighting module code... [ 95%] scap.utils
highlighting module code... [100%] time

writing additional pages... search
copying images... [100%] assets/images/deploy-log.gif

copying static files... done
copying extra files... done
dumping search index in English (code: en) ... done
dumping object inventory... done
build succeeded.

The HTML pages are in docs/_build/html.
___________________________________ summary ____________________________________
ERROR:   py27: commands failed
  py34: ignored failed command
SKIPPED:  py35: InterpreterNotFound: python3.5
SKIPPED:  py36: InterpreterNotFound: python3.6
  flake8: commands succeeded
  doc: commands succeeded

Link to build: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1067/
See console output for more information: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1067/console

demon updated this revision to Diff 2719.Apr 28 2018, 10:53 PM
  • Unicodes for checks.py

Build has FAILED

Test Name
tox -vBuild Details

tox -v log

Got exit code 1 from PY_COLORS=1 tox -v

highlighting module code... [ 95%] scap.utils
highlighting module code... [100%] time

writing additional pages... search
copying images... [100%] assets/images/deploy-log.gif

copying static files... done
copying extra files... done
dumping search index in English (code: en) ... done
dumping object inventory... done
build succeeded.

The HTML pages are in docs/_build/html.
___________________________________ summary ____________________________________
ERROR:   py27: commands failed
  py34: ignored failed command
SKIPPED:  py35: InterpreterNotFound: python3.5
SKIPPED:  py36: InterpreterNotFound: python3.6
  flake8: commands succeeded
  doc: commands succeeded

Link to build: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1068/
See console output for more information: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1068/console

demon updated this revision to Diff 2720.Apr 28 2018, 11:54 PM
  • Unicode everywhere

Build has FAILED

Test Name
tox -vBuild Details

tox -v log

Got exit code 1 from PY_COLORS=1 tox -v

highlighting module code... [ 95%] scap.utils
highlighting module code... [100%] time

writing additional pages... search
copying images... [100%] assets/images/deploy-log.gif

copying static files... done
copying extra files... done
dumping search index in English (code: en) ... done
dumping object inventory... done
build succeeded.

The HTML pages are in docs/_build/html.
___________________________________ summary ____________________________________
ERROR:   py27: commands failed
  py34: ignored failed command
SKIPPED:  py35: InterpreterNotFound: python3.5
SKIPPED:  py36: InterpreterNotFound: python3.6
  flake8: commands succeeded
  doc: commands succeeded

Link to build: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1069/
See console output for more information: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1069/console

demon updated this revision to Diff 2721.Apr 30 2018, 6:18 PM
  • Narrowed scope to just handle test_log.py, easy fixes
demon updated this revision to Diff 2722.Apr 30 2018, 6:19 PM
  • Remove test_checks.py fix, mistake

Build has FAILED

Test Name
tox -vBuild Details

tox -v log

Got exit code 1 from PY_COLORS=1 tox -v

highlighting module code... [ 95%] scap.utils
highlighting module code... [100%] time

writing additional pages... search
copying images... [100%] assets/images/deploy-log.gif

copying static files... done
copying extra files... done
dumping search index in English (code: en) ... done
dumping object inventory... done
build succeeded.

The HTML pages are in docs/_build/html.
___________________________________ summary ____________________________________
ERROR:   py27: commands failed
  py34: ignored failed command
SKIPPED:  py35: InterpreterNotFound: python3.5
SKIPPED:  py36: InterpreterNotFound: python3.6
  flake8: commands succeeded
  doc: commands succeeded

Link to build: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1070/
See console output for more information: https://integration.wikimedia.org/ci/job/phabricator-jessie-diffs/1070/console

demon retitled this revision from test_checks.py: Swap for io.StringIO to test_log.py: Swap for io.StringIO.Apr 30 2018, 6:19 PM
Harbormaster completed remote builds in B2936: Diff 2722.
demon requested review of this revision.Apr 30 2018, 6:22 PM
thcipriani accepted this revision.May 1 2018, 4:32 PM
This revision is now accepted and ready to land.May 1 2018, 4:32 PM
This revision was automatically updated to reflect the committed changes.